import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const dashboard: AppRouteModule = {
  path: '/project',
  name: 'Project',
  component: LAYOUT,
  redirect: '/project/index',
  meta: {
    hideChildrenInMenu: true,
    orderNo: 1,
    icon: '',
    title: '项目库',
  },
  children: [
    {
      path: 'index',
      name: 'project',
      component: () => import('@/views/project/index.vue'),
      meta: {
        orderNo: 1,
        // affix: true,
        title: '项目库',
      },
    },
  ],
};

export default dashboard;
